* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-08-14 9:51 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2022-08-14 9:51 UTC (permalink / raw
To: gentoo-commits
commit: 880f511ea944cc02920021670809b4bf21ecea21
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Aug 1 06:22:09 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 14 09:48:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=880f511e
dev-python/frozendict: add 2.3.4
Closes: https://bugs.gentoo.org/865127
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/26692
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.4.ebuild | 29 +++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 7bafad669835..646b181321d3 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
DIST frozendict-2.3.2.gh.tar.gz 306318 BLAKE2B 3bc10f34784a8b76b7c6ca0eeccc8331e9a558f0e24d2328550eb5a985ed2ad6c94d027c51ee44f2d25af67fc453356e01b5cfee773880b87d73c55113ca10b2 SHA512 8dc88a3e7898be8fbced16fbdbdee469d07ecbb06a059512f98f71e50a8c5f2c3a4f3d4e6aa06bab121e4ae2e9cea76f6d89c73212047069f2ef88c616c7278a
+DIST frozendict-2.3.4.gh.tar.gz 307399 BLAKE2B ac6311182ed2ba4925a14a145b4d30a0241978f55ae7a81cebc534ede812ca77097f0f8c7eeb08e8cbd6240e036d3b5035bd3e9b284a55b638c93717e3a20258 SHA512 15acc4fceb5e2228ee3423d4a5b86c529e9bdcb7264f59139cbde6194983901a17da8036bebf53d7d8057ce52666031e90eb1ca358bfd374c651fd60743988dc
diff --git a/dev-python/frozendict/frozendict-2.3.4.ebuild b/dev-python/frozendict/frozendict-2.3.4.ebuild
new file mode 100644
index 000000000000..fa692c82ed56
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}/test"
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-11-24 13:42 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-11-24 13:42 UTC (permalink / raw
To: gentoo-commits
commit: daa3a60c24e4c1df13c2aee1d9afcd72e261d8dc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 24 13:18:49 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 24 13:42:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=daa3a60c
dev-python/frozendict: Bump to 2.3.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.9.ebuild | 35 +++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 408059af09b7..d63e2694f4bf 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
DIST frozendict-2.3.8.gh.tar.gz 310193 BLAKE2B e21d278396bcc10d88dbc6d33c86027308f66c8de84015d1aa186f1f34e74e4be7c915459a694597e277aab0eaaa78fb716e51e5c0f9fba58bb1e8b8d22394bd SHA512 17f610fc12138446908dbd425b8b15d2b6b7d8ad2b41f68b9a03acbd096d173994049b86169c62b51732cacf1e19de77e58cd38edf3422413269bd9e4eb5ca6d
+DIST frozendict-2.3.9.gh.tar.gz 310538 BLAKE2B 9095cc85fc25ddab23a30879a623b4e09557d7c8d27f51199913002d8dffe58e965174360e964a7f87c556d0b282c2fe6718bf01dc4483bb642db431e53dd0ce SHA512 e724c316c9c4f9c11127bd70ac9dd8e9f9012c61797ca55593b405109d09277657c1c3177183051b6f7d8f7ac86e70715a3448136c2c196db5393271a2fd4fb7
diff --git a/dev-python/frozendict/frozendict-2.3.9.ebuild b/dev-python/frozendict/frozendict-2.3.9.ebuild
new file mode 100644
index 000000000000..4b760aa0a439
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.9.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # upstream provides a C extensions for python3.10 only, and errors out
+ # if we enable it for newer versions, so the extra effort does not seem
+ # to be worth it
+ local -x FROZENDICT_PURE_PY=1
+ distutils-r1_python_compile
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-06-03 19:17 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-06-03 19:17 UTC (permalink / raw
To: gentoo-commits
commit: 1e403a0ae16549ba6be36c1d4d2737cc07f62fcf
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 3 19:12:57 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 3 19:12:57 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e403a0a
dev-python/frozendict: Remove old
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 -
dev-python/frozendict/frozendict-2.3.7.ebuild | 38 ---------------------------
2 files changed, 39 deletions(-)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index bb06e4d2efa6..408059af09b7 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,2 +1 @@
-DIST frozendict-2.3.7.gh.tar.gz 309663 BLAKE2B 108b27039ccf3c1ce9e002b7e459689a13a3f180c8f1da48373447bd19e2c937741df6a7173481a6a1f9441df5a30dd5c7f9394d83ae69e44022010bc199c0f3 SHA512 1f34e14a494c687be54ff8b40bc6c2fd329ddd4599fdfe940c96ef1df68e7b4bb88f3b6e1bbf7043ee403d091c4ab77062eb36e5fde4b4addc1762ed64f183b4
DIST frozendict-2.3.8.gh.tar.gz 310193 BLAKE2B e21d278396bcc10d88dbc6d33c86027308f66c8de84015d1aa186f1f34e74e4be7c915459a694597e277aab0eaaa78fb716e51e5c0f9fba58bb1e8b8d22394bd SHA512 17f610fc12138446908dbd425b8b15d2b6b7d8ad2b41f68b9a03acbd096d173994049b86169c62b51732cacf1e19de77e58cd38edf3422413269bd9e4eb5ca6d
diff --git a/dev-python/frozendict/frozendict-2.3.7.ebuild b/dev-python/frozendict/frozendict-2.3.7.ebuild
deleted file mode 100644
index 6e63dc4f6e80..000000000000
--- a/dev-python/frozendict/frozendict-2.3.7.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
- https://github.com/Marco-Sulla/python-frozendict/
- https://pypi.org/project/frozendict/
-"
-SRC_URI="
- https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_compile() {
- # This prevents the build system from ignoring build failures, sigh.
- local -x CIBUILDWHEEL=1
-
- distutils-r1_python_compile
-}
-
-python_test() {
- rm -rf frozendict || die
- epytest
-}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-06-03 18:06 Arthur Zamarin
0 siblings, 0 replies; 22+ messages in thread
From: Arthur Zamarin @ 2023-06-03 18:06 UTC (permalink / raw
To: gentoo-commits
commit: 2977e8ef8727d9782f32ffe028c9d775b6a11219
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 3 18:06:14 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 3 18:06:14 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2977e8ef
dev-python/frozendict: Stabilize 2.3.8 amd64, #907788
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.8.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.8.ebuild b/dev-python/frozendict/frozendict-2.3.8.ebuild
index 91ca1c458731..350d74f84327 100644
--- a/dev-python/frozendict/frozendict-2.3.8.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.8.ebuild
@@ -22,7 +22,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
+KEYWORDS="amd64 ~ppc64"
distutils_enable_tests pytest
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-05-25 21:52 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2023-05-25 21:52 UTC (permalink / raw
To: gentoo-commits
commit: 1f68977d65817a59888ca47e6e0f396e2a49db99
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Wed May 24 12:27:48 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 25 21:52:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f68977d
dev-python/frozendict: enable py3.12
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.8.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.8.ebuild b/dev-python/frozendict/frozendict-2.3.8.ebuild
index 90e1b20b4b92..91ca1c458731 100644
--- a/dev-python/frozendict/frozendict-2.3.8.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.8.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-05-04 16:11 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-05-04 16:11 UTC (permalink / raw
To: gentoo-commits
commit: feb7f873764714e880482cca4d173a2dce7ef857
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 4 16:09:21 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 4 16:11:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=feb7f873
dev-python/frozendict: Set DISTUTILS_EXT=1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.8.ebuild | 1 +
1 file changed, 1 insertion(+)
diff --git a/dev-python/frozendict/frozendict-2.3.8.ebuild b/dev-python/frozendict/frozendict-2.3.8.ebuild
index 9548bcbf1869..90e1b20b4b92 100644
--- a/dev-python/frozendict/frozendict-2.3.8.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.8.ebuild
@@ -3,6 +3,7 @@
EAPI=8
+DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{9..11} )
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-04-30 3:55 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-04-30 3:55 UTC (permalink / raw
To: gentoo-commits
commit: e859fcdb17b909a210f757b0f84a30e95cc9b63a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 30 03:21:39 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 30 03:21:39 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e859fcdb
dev-python/frozendict: Bump to 2.3.8
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.8.ebuild | 38 +++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 0d46ff06798a..bb06e4d2efa6 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
DIST frozendict-2.3.7.gh.tar.gz 309663 BLAKE2B 108b27039ccf3c1ce9e002b7e459689a13a3f180c8f1da48373447bd19e2c937741df6a7173481a6a1f9441df5a30dd5c7f9394d83ae69e44022010bc199c0f3 SHA512 1f34e14a494c687be54ff8b40bc6c2fd329ddd4599fdfe940c96ef1df68e7b4bb88f3b6e1bbf7043ee403d091c4ab77062eb36e5fde4b4addc1762ed64f183b4
+DIST frozendict-2.3.8.gh.tar.gz 310193 BLAKE2B e21d278396bcc10d88dbc6d33c86027308f66c8de84015d1aa186f1f34e74e4be7c915459a694597e277aab0eaaa78fb716e51e5c0f9fba58bb1e8b8d22394bd SHA512 17f610fc12138446908dbd425b8b15d2b6b7d8ad2b41f68b9a03acbd096d173994049b86169c62b51732cacf1e19de77e58cd38edf3422413269bd9e4eb5ca6d
diff --git a/dev-python/frozendict/frozendict-2.3.8.ebuild b/dev-python/frozendict/frozendict-2.3.8.ebuild
new file mode 100644
index 000000000000..9548bcbf1869
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.8.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # This prevents the build system from ignoring build failures, sigh.
+ local -x CIBUILDWHEEL=1
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ rm -rf frozendict || die
+ epytest
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-04-22 16:18 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-04-22 16:18 UTC (permalink / raw
To: gentoo-commits
commit: aa98a6ae089e19480c1de726b13d956762dcc2d9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 16:14:06 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 16:14:06 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa98a6ae
dev-python/frozendict: Remove old
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 2 --
dev-python/frozendict/frozendict-2.3.5.ebuild | 49 ---------------------------
dev-python/frozendict/frozendict-2.3.6.ebuild | 38 ---------------------
3 files changed, 89 deletions(-)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 6649265a116a..0d46ff06798a 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,3 +1 @@
-DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0 SHA512 9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d
-DIST frozendict-2.3.6.gh.tar.gz 309471 BLAKE2B 1de3b0c2993243622d6f9c1058b086e3225216b6e80d0bc9b73b974ba2a1f18faa8ec97f5e1b3083e7ac4469517202fc273ec694f02e5405c5d4fc241acf9d14 SHA512 b57a77164f77b0f067e29377b7694ac9e4d7dbae617b649ed2018779dab5c3da27176481079386f43f3b3dc66a84cac0bd85b4b0b650072b812b3c6cffd06ba9
DIST frozendict-2.3.7.gh.tar.gz 309663 BLAKE2B 108b27039ccf3c1ce9e002b7e459689a13a3f180c8f1da48373447bd19e2c937741df6a7173481a6a1f9441df5a30dd5c7f9394d83ae69e44022010bc199c0f3 SHA512 1f34e14a494c687be54ff8b40bc6c2fd329ddd4599fdfe940c96ef1df68e7b4bb88f3b6e1bbf7043ee403d091c4ab77062eb36e5fde4b4addc1762ed64f183b4
diff --git a/dev-python/frozendict/frozendict-2.3.5.ebuild b/dev-python/frozendict/frozendict-2.3.5.ebuild
deleted file mode 100644
index 4b1ceb8d3b5e..000000000000
--- a/dev-python/frozendict/frozendict-2.3.5.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-C_EXT_COMPAT=( python3.{9..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
- https://github.com/Marco-Sulla/python-frozendict/
- https://pypi.org/project/frozendict/
-"
-SRC_URI="
- https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_compile() {
- local -x CIBUILDWHEEL=0
- # This prevents the build system from ignoring build failures, sigh.
- has "${EPYTHON}" "${C_EXT_COMPAT[@]}" && CIBUILDWHEEL=1
-
- distutils-r1_python_compile
-}
-
-python_test() {
- local EPYTEST_IGNORE=()
- # skip tests of native extension for python versions where it is not available
- if ! has "${EPYTHON}" "${C_EXT_COMPAT[@]}"; then
- EPYTEST_IGNORE+=(
- test/test_frozendict_c.py
- test/test_frozendict_c_subclass.py
- )
- fi
-
- rm -rf frozendict || die
- epytest
-}
diff --git a/dev-python/frozendict/frozendict-2.3.6.ebuild b/dev-python/frozendict/frozendict-2.3.6.ebuild
deleted file mode 100644
index 9548bcbf1869..000000000000
--- a/dev-python/frozendict/frozendict-2.3.6.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
- https://github.com/Marco-Sulla/python-frozendict/
- https://pypi.org/project/frozendict/
-"
-SRC_URI="
- https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_compile() {
- # This prevents the build system from ignoring build failures, sigh.
- local -x CIBUILDWHEEL=1
-
- distutils-r1_python_compile
-}
-
-python_test() {
- rm -rf frozendict || die
- epytest
-}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-04-22 11:31 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2023-04-22 11:31 UTC (permalink / raw
To: gentoo-commits
commit: ddf4af5519412c47500ee068f3ed0eb3c19794c4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 11:31:10 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 11:31:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddf4af55
dev-python/frozendict: Stabilize 2.3.7 amd64, #904765
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.7.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.7.ebuild b/dev-python/frozendict/frozendict-2.3.7.ebuild
index 9548bcbf1869..6e63dc4f6e80 100644
--- a/dev-python/frozendict/frozendict-2.3.7.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.7.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
+KEYWORDS="amd64 ~ppc64"
distutils_enable_tests pytest
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-04-10 6:07 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-04-10 6:07 UTC (permalink / raw
To: gentoo-commits
commit: fd76c58dc7b7eca7c138d2918dfb2208b3572232
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 05:34:38 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 05:34:38 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd76c58d
dev-python/frozendict: Bump to 2.3.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.7.ebuild | 38 +++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 291455434320..6649265a116a 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,2 +1,3 @@
DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0 SHA512 9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d
DIST frozendict-2.3.6.gh.tar.gz 309471 BLAKE2B 1de3b0c2993243622d6f9c1058b086e3225216b6e80d0bc9b73b974ba2a1f18faa8ec97f5e1b3083e7ac4469517202fc273ec694f02e5405c5d4fc241acf9d14 SHA512 b57a77164f77b0f067e29377b7694ac9e4d7dbae617b649ed2018779dab5c3da27176481079386f43f3b3dc66a84cac0bd85b4b0b650072b812b3c6cffd06ba9
+DIST frozendict-2.3.7.gh.tar.gz 309663 BLAKE2B 108b27039ccf3c1ce9e002b7e459689a13a3f180c8f1da48373447bd19e2c937741df6a7173481a6a1f9441df5a30dd5c7f9394d83ae69e44022010bc199c0f3 SHA512 1f34e14a494c687be54ff8b40bc6c2fd329ddd4599fdfe940c96ef1df68e7b4bb88f3b6e1bbf7043ee403d091c4ab77062eb36e5fde4b4addc1762ed64f183b4
diff --git a/dev-python/frozendict/frozendict-2.3.7.ebuild b/dev-python/frozendict/frozendict-2.3.7.ebuild
new file mode 100644
index 000000000000..9548bcbf1869
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.7.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # This prevents the build system from ignoring build failures, sigh.
+ local -x CIBUILDWHEEL=1
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ rm -rf frozendict || die
+ epytest
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-03-22 6:23 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-03-22 6:23 UTC (permalink / raw
To: gentoo-commits
commit: 18c1a81b846541f7b676cd68db30390c555f23b7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 06:13:39 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 06:13:39 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c1a81b
dev-python/frozendict: Bump to 2.3.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.6.ebuild | 38 +++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 4bdae1f6bc76..291455434320 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0 SHA512 9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d
+DIST frozendict-2.3.6.gh.tar.gz 309471 BLAKE2B 1de3b0c2993243622d6f9c1058b086e3225216b6e80d0bc9b73b974ba2a1f18faa8ec97f5e1b3083e7ac4469517202fc273ec694f02e5405c5d4fc241acf9d14 SHA512 b57a77164f77b0f067e29377b7694ac9e4d7dbae617b649ed2018779dab5c3da27176481079386f43f3b3dc66a84cac0bd85b4b0b650072b812b3c6cffd06ba9
diff --git a/dev-python/frozendict/frozendict-2.3.6.ebuild b/dev-python/frozendict/frozendict-2.3.6.ebuild
new file mode 100644
index 000000000000..9548bcbf1869
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # This prevents the build system from ignoring build failures, sigh.
+ local -x CIBUILDWHEEL=1
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ rm -rf frozendict || die
+ epytest
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-03-04 5:29 Arthur Zamarin
0 siblings, 0 replies; 22+ messages in thread
From: Arthur Zamarin @ 2023-03-04 5:29 UTC (permalink / raw
To: gentoo-commits
commit: cf4255a78db03db0f6205a6073c8f70b72f69b16
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 4 05:28:58 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 4 05:28:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf4255a7
dev-python/frozendict: Stabilize 2.3.5 amd64, #899170
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.5.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.5.ebuild b/dev-python/frozendict/frozendict-2.3.5.ebuild
index 0cfb1f569acd..4b1ceb8d3b5e 100644
--- a/dev-python/frozendict/frozendict-2.3.5.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.5.ebuild
@@ -22,7 +22,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
+KEYWORDS="amd64 ~ppc64"
distutils_enable_tests pytest
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2023-02-18 7:03 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2023-02-18 7:03 UTC (permalink / raw
To: gentoo-commits
commit: 0aa647b9536c381b350bdbe00946899a5e196196
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 18 05:47:09 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 07:02:55 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aa647b9
dev-python/frozendict: Bump to 2.3.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.5.ebuild | 49 +++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 25b091d61a39..c791a05a85f7 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
DIST frozendict-2.3.4.gh.tar.gz 307399 BLAKE2B ac6311182ed2ba4925a14a145b4d30a0241978f55ae7a81cebc534ede812ca77097f0f8c7eeb08e8cbd6240e036d3b5035bd3e9b284a55b638c93717e3a20258 SHA512 15acc4fceb5e2228ee3423d4a5b86c529e9bdcb7264f59139cbde6194983901a17da8036bebf53d7d8057ce52666031e90eb1ca358bfd374c651fd60743988dc
+DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0 SHA512 9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d
diff --git a/dev-python/frozendict/frozendict-2.3.5.ebuild b/dev-python/frozendict/frozendict-2.3.5.ebuild
new file mode 100644
index 000000000000..0cfb1f569acd
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+C_EXT_COMPAT=( python3.{9..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict/
+ https://pypi.org/project/frozendict/
+"
+SRC_URI="
+ https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ local -x CIBUILDWHEEL=0
+ # This prevents the build system from ignoring build failures, sigh.
+ has "${EPYTHON}" "${C_EXT_COMPAT[@]}" && CIBUILDWHEEL=1
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+ # skip tests of native extension for python versions where it is not available
+ if ! has "${EPYTHON}" "${C_EXT_COMPAT[@]}"; then
+ EPYTEST_IGNORE+=(
+ test/test_frozendict_c.py
+ test/test_frozendict_c_subclass.py
+ )
+ fi
+
+ rm -rf frozendict || die
+ epytest
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-09-27 21:44 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2022-09-27 21:44 UTC (permalink / raw
To: gentoo-commits
commit: 9f7c65bf6af9681532661010e5f12dac90e76899
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Tue Sep 27 13:25:40 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 21:42:02 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f7c65bf
dev-python/frozendict: drop 2.3.2
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 -
dev-python/frozendict/frozendict-2.3.2.ebuild | 29 ---------------------------
2 files changed, 30 deletions(-)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 646b181321d3..25b091d61a39 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,2 +1 @@
-DIST frozendict-2.3.2.gh.tar.gz 306318 BLAKE2B 3bc10f34784a8b76b7c6ca0eeccc8331e9a558f0e24d2328550eb5a985ed2ad6c94d027c51ee44f2d25af67fc453356e01b5cfee773880b87d73c55113ca10b2 SHA512 8dc88a3e7898be8fbced16fbdbdee469d07ecbb06a059512f98f71e50a8c5f2c3a4f3d4e6aa06bab121e4ae2e9cea76f6d89c73212047069f2ef88c616c7278a
DIST frozendict-2.3.4.gh.tar.gz 307399 BLAKE2B ac6311182ed2ba4925a14a145b4d30a0241978f55ae7a81cebc534ede812ca77097f0f8c7eeb08e8cbd6240e036d3b5035bd3e9b284a55b638c93717e3a20258 SHA512 15acc4fceb5e2228ee3423d4a5b86c529e9bdcb7264f59139cbde6194983901a17da8036bebf53d7d8057ce52666031e90eb1ca358bfd374c651fd60743988dc
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
deleted file mode 100644
index 0424323d8183..000000000000
--- a/dev-python/frozendict/frozendict-2.3.2.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
- https://github.com/Marco-Sulla/python-frozendict
- https://pypi.python.org/pypi/frozendict
-"
-SRC_URI="https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_test() {
- cd "${T}" || die
- epytest "${S}/test"
-}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-09-22 7:42 Agostino Sarubbo
0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2022-09-22 7:42 UTC (permalink / raw
To: gentoo-commits
commit: 0bfb46dd69de815ee60b0e07aa90d55adc2c9fbf
Author: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 07:41:11 2022 +0000
Commit: Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 07:41:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bfb46dd
dev-python/frozendict: Stabilize 2.3.4 amd64, #870118
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.4.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.4.ebuild b/dev-python/frozendict/frozendict-2.3.4.ebuild
index f1e01464495c..9ba0f0bd0a42 100644
--- a/dev-python/frozendict/frozendict-2.3.4.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.4.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
+KEYWORDS="amd64 ~ppc64"
distutils_enable_tests pytest
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-08-14 21:31 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2022-08-14 21:31 UTC (permalink / raw
To: gentoo-commits
commit: ffa1292e771b440b3ebcdddc71a9df898ba93415
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Aug 14 20:36:58 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 14 21:31:43 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffa1292e
dev-python/frozendict: fix pytest dependencies
Fixes: 89e4ee59e046 ("dev-python/frozendict: fix test phase")
Fixes: 880f511ea944 ("dev-python/frozendict: add 2.3.4")
Closes: https://bugs.gentoo.org/865163
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/26863
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.2.ebuild | 2 ++
dev-python/frozendict/frozendict-2.3.4.ebuild | 2 ++
2 files changed, 4 insertions(+)
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
index 371501d7202e..0424323d8183 100644
--- a/dev-python/frozendict/frozendict-2.3.2.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.2.ebuild
@@ -21,6 +21,8 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc64"
+distutils_enable_tests pytest
+
python_test() {
cd "${T}" || die
epytest "${S}/test"
diff --git a/dev-python/frozendict/frozendict-2.3.4.ebuild b/dev-python/frozendict/frozendict-2.3.4.ebuild
index fa692c82ed56..f1e01464495c 100644
--- a/dev-python/frozendict/frozendict-2.3.4.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.4.ebuild
@@ -23,6 +23,8 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc64"
+distutils_enable_tests pytest
+
python_test() {
cd "${T}" || die
epytest "${S}/test"
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-08-14 9:51 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2022-08-14 9:51 UTC (permalink / raw
To: gentoo-commits
commit: 89e4ee59e0465a9ac90a5094fdea919f0ebe02a2
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Aug 14 08:59:53 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 14 09:48:23 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89e4ee59
dev-python/frozendict: fix test phase
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.2.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
index bf424c54eba1..371501d7202e 100644
--- a/dev-python/frozendict/frozendict-2.3.2.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.2.ebuild
@@ -21,7 +21,7 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc64"
-# few tests fail with python3_9 and one with python3_10
-RESTRICT="test"
-
-distutils_enable_tests pytest
+python_test() {
+ cd "${T}" || die
+ epytest "${S}/test"
+}
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-08-14 9:51 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2022-08-14 9:51 UTC (permalink / raw
To: gentoo-commits
commit: 9fde03fd3bc12db0b8a15f33e61c79f3d84ff919
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 14 09:50:43 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 14 09:50:43 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9fde03fd
dev-python/frozendict: Add python@ as co-maint.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/metadata.xml | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/dev-python/frozendict/metadata.xml b/dev-python/frozendict/metadata.xml
index f556e15b09bb..06170b580da7 100644
--- a/dev-python/frozendict/metadata.xml
+++ b/dev-python/frozendict/metadata.xml
@@ -9,6 +9,10 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="pypi">frozendict</remote-id>
<remote-id type="github">Marco-Sulla/python-frozendict</remote-id>
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-07-20 17:01 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2022-07-20 17:01 UTC (permalink / raw
To: gentoo-commits
commit: a5ae66deecd3911d1202aae0c82401ea44ffc6c8
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 20 17:00:46 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 20 17:00:46 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5ae66de
dev-python/frozendict: Keyword 2.3.2 ppc64, #859412
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/frozendict-2.3.2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
index 28a3b265a196..bf424c54eba1 100644
--- a/dev-python/frozendict/frozendict-2.3.2.ebuild
+++ b/dev-python/frozendict/frozendict-2.3.2.ebuild
@@ -19,7 +19,7 @@ S="${WORKDIR}/python-${P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~ppc64"
# few tests fail with python3_9 and one with python3_10
RESTRICT="test"
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2022-07-09 8:16 Sam James
0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2022-07-09 8:16 UTC (permalink / raw
To: gentoo-commits
commit: b9b4ea6410c57d959e1a9602b699bf316e1167a9
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Thu Jul 7 13:23:21 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 9 08:15:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9b4ea64
dev-python/frozendict: new package, add 2.3.2
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-2.3.2.ebuild | 27 +++++++++++++++++++++++++++
dev-python/frozendict/metadata.xml | 16 ++++++++++++++++
3 files changed, 44 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
new file mode 100644
index 000000000000..7bafad669835
--- /dev/null
+++ b/dev-python/frozendict/Manifest
@@ -0,0 +1 @@
+DIST frozendict-2.3.2.gh.tar.gz 306318 BLAKE2B 3bc10f34784a8b76b7c6ca0eeccc8331e9a558f0e24d2328550eb5a985ed2ad6c94d027c51ee44f2d25af67fc453356e01b5cfee773880b87d73c55113ca10b2 SHA512 8dc88a3e7898be8fbced16fbdbdee469d07ecbb06a059512f98f71e50a8c5f2c3a4f3d4e6aa06bab121e4ae2e9cea76f6d89c73212047069f2ef88c616c7278a
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
new file mode 100644
index 000000000000..28a3b265a196
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+ https://github.com/Marco-Sulla/python-frozendict
+ https://pypi.python.org/pypi/frozendict
+"
+SRC_URI="https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# few tests fail with python3_9 and one with python3_10
+RESTRICT="test"
+
+distutils_enable_tests pytest
diff --git a/dev-python/frozendict/metadata.xml b/dev-python/frozendict/metadata.xml
new file mode 100644
index 000000000000..f556e15b09bb
--- /dev/null
+++ b/dev-python/frozendict/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>arkamar@atlas.cz</email>
+ <name>Petr Vaněk</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">frozendict</remote-id>
+ <remote-id type="github">Marco-Sulla/python-frozendict</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2021-02-05 8:47 Michał Górny
0 siblings, 0 replies; 22+ messages in thread
From: Michał Górny @ 2021-02-05 8:47 UTC (permalink / raw
To: gentoo-commits
commit: 540ede001dfee9eb6445780c0b88a6db440170b3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 5 08:41:10 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 5 08:43:29 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=540ede00
dev-python/frozendict: Remove python@
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/frozendict/metadata.xml | 4 ----
1 file changed, 4 deletions(-)
diff --git a/dev-python/frozendict/metadata.xml b/dev-python/frozendict/metadata.xml
index c66317b286d..64bfc1f30e3 100644
--- a/dev-python/frozendict/metadata.xml
+++ b/dev-python/frozendict/metadata.xml
@@ -5,10 +5,6 @@
<email>alexxy@gentoo.org</email>
<name>Alexey Shvetsov</name>
</maintainer>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- <name>Python</name>
- </maintainer>
<upstream>
<remote-id type="pypi">frozendict</remote-id>
<remote-id type="github">slezica/python-frozendict</remote-id>
^ permalink raw reply related [flat|nested] 22+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/
@ 2020-02-11 11:42 Alexey Shvetsov
0 siblings, 0 replies; 22+ messages in thread
From: Alexey Shvetsov @ 2020-02-11 11:42 UTC (permalink / raw
To: gentoo-commits
commit: 85f80e509615f50cc313c91094a54938913e97b5
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 09:39:10 2020 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 11:41:25 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85f80e50
dev-python/frozendict: initial impiort
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
dev-python/frozendict/Manifest | 1 +
dev-python/frozendict/frozendict-1.2.ebuild | 18 ++++++++++++++++++
dev-python/frozendict/metadata.xml | 16 ++++++++++++++++
3 files changed, 35 insertions(+)
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
new file mode 100644
index 00000000000..e28118e5c9e
--- /dev/null
+++ b/dev-python/frozendict/Manifest
@@ -0,0 +1 @@
+DIST frozendict-1.2.tar.gz 2650 BLAKE2B 8c2e10055d60a1fcec76be993c7fa1ba2b445a4880b1f7cc2e1a1be4010912da20bba2e7481fd861445d386814b3523993c9d73786b3f95d3f9e2444c44472ce SHA512 095cf5f6f8b02bf5666e04200431992bf4b3160aae3464d528bc256b1ab643e29dda78fe94d9e8c983dbfe66cd2459e0559122e17b6b8660c0552adc5318b3da
diff --git a/dev-python/frozendict/frozendict-1.2.ebuild b/dev-python/frozendict/frozendict-1.2.ebuild
new file mode 100644
index 00000000000..21b2884c4f7
--- /dev/null
+++ b/dev-python/frozendict/frozendict-1.2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="https://github.com/slezica/python-frozendict"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND=""
+RDEPEND=""
diff --git a/dev-python/frozendict/metadata.xml b/dev-python/frozendict/metadata.xml
new file mode 100644
index 00000000000..c66317b286d
--- /dev/null
+++ b/dev-python/frozendict/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">frozendict</remote-id>
+ <remote-id type="github">slezica/python-frozendict</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 22+ messages in thread
end of thread, other threads:[~2023-11-24 13:42 UTC | newest]
Thread overview: 22+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-08-14 9:51 [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/ Michał Górny
-- strict thread matches above, loose matches on Subject: below --
2023-11-24 13:42 Michał Górny
2023-06-03 19:17 Michał Górny
2023-06-03 18:06 Arthur Zamarin
2023-05-25 21:52 Sam James
2023-05-04 16:11 Michał Górny
2023-04-30 3:55 Michał Górny
2023-04-22 16:18 Michał Górny
2023-04-22 11:31 Sam James
2023-04-10 6:07 Michał Górny
2023-03-22 6:23 Michał Górny
2023-03-04 5:29 Arthur Zamarin
2023-02-18 7:03 Michał Górny
2022-09-27 21:44 Sam James
2022-09-22 7:42 Agostino Sarubbo
2022-08-14 21:31 Sam James
2022-08-14 9:51 Michał Górny
2022-08-14 9:51 Michał Górny
2022-07-20 17:01 Sam James
2022-07-09 8:16 Sam James
2021-02-05 8:47 Michał Górny
2020-02-11 11:42 Alexey Shvetsov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox